From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/gsasl/
Date: Sat, 16 Jul 2022 14:33:39 +0000 (UTC) [thread overview]
Message-ID: <1657982008.b58a74b35e18c4b23cd7a7b5e9426c2b110f84ab.sam@gentoo> (raw)
commit: b58a74b35e18c4b23cd7a7b5e9426c2b110f84ab
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 16 13:31:57 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 16 14:33:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b58a74b3
net-misc/gsasl: add 2.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/gsasl/Manifest | 1 +
net-misc/gsasl/gsasl-2.0.1.ebuild | 91 +++++++++++++++++++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/net-misc/gsasl/Manifest b/net-misc/gsasl/Manifest
index eb6e13ca7b83..79506d79d621 100644
--- a/net-misc/gsasl/Manifest
+++ b/net-misc/gsasl/Manifest
@@ -1,2 +1,3 @@
DIST gsasl-1.10.0.tar.gz 5946076 BLAKE2B eedbdd6a080af34581c6e793d5d6db4ebbbc10c1a31dba1edc632de78a529fc2acf2b5e4df3a7bc9a721c6bdb819aade85d65245dbb14405413b933220454a79 SHA512 8b1dc87e85dbfd0255b3b43c4b7f9c2e896cb03efe4cd4af86393b62fd193665aae4ce59e66db736722e32babfcea6d4f6ddd3c5f069dcc4210f7e9531043e4a
DIST gsasl-2.0.0.tar.gz 3274625 BLAKE2B fb9ce9b3be0cbd0902128a3e8b57ad1f78c9259da646d3da56777b05922152c5e7f019a4c037a9e42a161153e87b140146eab2f2a55e33de9b52d6814a250fd3 SHA512 b7c4e3dfdaa50eaba38f3c0914dedb4bc689d1226fcf162e5bfb3942fa6ce1e96405715a747adca78150709f34830f699e9f995f04ce586cd3d0c14b275910e6
+DIST gsasl-2.0.1.tar.gz 3279632 BLAKE2B a25d121a5043455ed827a6bdc776c10d467a49b4dc6b73d2f4b08fecbf1ca5f423ffdcfd39e0d2bf71f724ed8302ffd8acda4fda3ef10ceadece60509ac73500 SHA512 01c6f6bd9f986c942a25b89fee0052aef8c10bf914ead29983abdf0cc8fcaa7223fd9d9eeafb4be07e4bc318f087f6f6258facaaeb7f83bca8de512406812be5
diff --git a/net-misc/gsasl/gsasl-2.0.1.ebuild b/net-misc/gsasl/gsasl-2.0.1.ebuild
new file mode 100644
index 000000000000..88d772461d09
--- /dev/null
+++ b/net-misc/gsasl/gsasl-2.0.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="The GNU SASL client, server, and library"
+HOMEPAGE="https://www.gnu.org/software/gsasl/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+# Before giving keywords (or ideally even bumping), please check https://www.gnu.org/software/gsasl/ to see
+# if it's a stable release or not!
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="+client gcrypt gnutls idn kerberos nls ntlm +server static-libs"
+REQUIRED_USE="|| ( client server )"
+
+DEPEND="
+ !net-libs/libgsasl
+ gcrypt? ( dev-libs/libgcrypt:0= )
+ gnutls? ( net-libs/gnutls:= )
+ idn? ( net-dns/libidn:= )
+ kerberos? ( virtual/krb5 )
+ nls? ( >=sys-devel/gettext-0.18.1 )
+ ntlm? ( >=net-libs/libntlm-0.3.5 )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/gl_WARN_ADD(\[-Werror/d' \
+ -e 's/ -Werror//' \
+ configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local krb5_impl="--with-gssapi-impl=no"
+
+ # Could do net-libs/libgssglue in future?
+ if use kerberos; then
+ krb5_impl="--with-gssapi-impl="
+
+ # These are the two providers of virtual/krb5
+ if has_version app-crypt/mit-krb5; then
+ krb5_impl+="mit"
+ else
+ krb5_impl+="heimdal"
+ fi
+ fi
+
+ local myeconfargs=(
+ --disable-valgrind-tests
+ --disable-rpath
+
+ --with-packager-bug-reports="https://bugs.gentoo.org"
+ --with-packager-version="r${PR}"
+ --with-packager="Gentoo Linux"
+
+ $(use_enable client)
+ $(use_enable server)
+
+ $(use_enable kerberos gssapi)
+ ${krb5_impl}
+ $(use_enable kerberos gs2)
+
+ $(use_with gcrypt libgcrypt)
+ $(use_with gnutls)
+ $(use_enable nls)
+ $(use_with idn stringprep)
+ $(use_enable ntlm)
+ $(use_enable static-libs static)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ if ! use static-libs; then
+ rm -f "${ED}"/usr/lib*/lib*.la || die
+ fi
+
+ doman doc/gsasl.1 doc/man/*.3
+}
next reply other threads:[~2022-07-16 14:33 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-16 14:33 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-02 11:40 [gentoo-commits] repo/gentoo:master commit in: net-misc/gsasl/ Matt Jolly
2025-03-31 21:11 Sam James
2025-03-31 21:11 Sam James
2024-11-25 20:42 Sam James
2024-11-23 18:27 Michał Górny
2024-11-23 18:02 Arthur Zamarin
2024-09-12 16:16 Jakov Smolić
2024-03-16 10:23 Arthur Zamarin
2024-03-15 20:22 Sam James
2024-03-15 20:11 Arthur Zamarin
2024-03-15 20:07 Arthur Zamarin
2024-03-15 20:04 Arthur Zamarin
2024-01-03 9:27 Sam James
2023-04-07 1:49 Sam James
2023-04-06 4:42 Sam James
2022-09-19 6:42 Michał Górny
2022-09-03 16:28 Sam James
2022-08-16 7:45 Agostino Sarubbo
2022-08-16 7:44 Agostino Sarubbo
2022-07-19 8:59 Agostino Sarubbo
2022-07-19 8:58 Agostino Sarubbo
2022-07-19 8:58 Agostino Sarubbo
2022-07-19 5:53 Joonas Niilola
2022-07-19 5:53 Joonas Niilola
2022-07-18 18:52 Sam James
2022-07-18 18:52 Sam James
2022-07-18 18:45 Sam James
2022-07-18 18:39 Sam James
2022-06-30 18:16 Arthur Zamarin
2022-06-28 15:44 Arthur Zamarin
2022-06-27 11:17 WANG Xuerui
2022-06-22 16:15 Arthur Zamarin
2022-06-22 12:34 Jakov Smolić
2022-06-22 12:02 Jakov Smolić
2022-06-22 11:45 Jakov Smolić
2022-06-22 11:40 Jakov Smolić
2022-06-22 4:39 Sam James
2022-06-21 22:01 Sam James
2022-06-21 22:01 Sam James
2021-10-28 8:16 Sam James
2021-07-13 11:21 Marek Szuba
2021-02-05 12:29 Sam James
2021-02-03 3:11 Sam James
2021-02-01 13:33 Sam James
2021-02-01 5:49 Sam James
2021-01-01 22:53 Sam James
2020-12-20 16:40 Thomas Deutschmann
2020-12-17 16:41 Agostino Sarubbo
2020-12-17 8:58 Sam James
2016-08-06 16:51 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1657982008.b58a74b35e18c4b23cd7a7b5e9426c2b110f84ab.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox